/*
 * cpn_unset_proj() - unset projection on the given Case Plan Node
 *
 * Locate all matches, using both func and obj, remove each entry from the
 * list and return the claimed memory area.
 *
 * PARAMETERS:
 *   node : pointer to case plan node on which the projection is to be unset
 *   obj  : identifies which projection must be unset
 *
 * RETURNS
 *    0   : successful completion
 *   -1   : error
 */
cpn_unset_proj(node, func, obj)
void *node;
void  (*func)();
void   *obj;
{
}

/*
 * cpn_init() - initialise the given Case Plan Node
 *
 * Initialise the given Case Plan Node with the supplied functions
 * and fill the other fields with default values and put the node
 * in the initial unevaluated state.
 * 
 * Some of the functions may be 0, i.e. no function available.
 * 
 * PARAMETERS:
 *   node  : pointer to case plan node to be initialised
 *   others: pointers to the items to be used to initialise the node
 *
 * RETURNS
 *    0: no memory allocated
 *    other: pointer to allocated memory
 */
void *
cpn_init(node, cpn_env, name, env_id, own_id, type, parent,
   predecessor, successor, func)
void		 *node;	/* node */
void		 *cpn_env; /* environment */
char		 *name;
int		 *env_id;
int		  own_id;
int		  type;
void		 *(parent)();
void		 *predecessor;
void		 *successor;
int               func;
{
}
